Python SDK
import httpx
resp = httpx.post(
"https://api.decimal.ai/api/v1/registry/skills/sk_pub123/fork",
headers={"Authorization": "Bearer dai_sk_..."},
)
resp.raise_for_status()
print(resp.json())decimalai skills install sk_pub123const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.decimal.ai/api/v1/registry/skills/{skill_id}/fork', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"installed_skill_id": "sk_local123",
"source_skill_id": "sk_pub123",
"name": "semantic-search",
"version": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}registry
Fork a registry skill into your workspace
Forks a public registry skill into your organization. The forked skill is fully owned by your org — edits do not affect the public version.
Pre-checks:
- Skill exists and is public
- User hasn’t already forked this skill
- Name doesn’t conflict with existing skills in the org
POST
/
api
/
v1
/
registry
/
skills
/
{skill_id}
/
fork
Python SDK
import httpx
resp = httpx.post(
"https://api.decimal.ai/api/v1/registry/skills/sk_pub123/fork",
headers={"Authorization": "Bearer dai_sk_..."},
)
resp.raise_for_status()
print(resp.json())decimalai skills install sk_pub123const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.decimal.ai/api/v1/registry/skills/{skill_id}/fork', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"installed_skill_id": "sk_local123",
"source_skill_id": "sk_pub123",
"name": "semantic-search",
"version": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}⌘I